as.windrose {oce} | R Documentation

## Create a Windrose Object

### Description

Create a wind-rose object, typically for plotting with `plot,windrose-method`.

### Usage

    as.windrose(x, y, dtheta = 15, debug = getOption("oceDebug"))

### Arguments

`x` | The x component of wind speed (or stress) or an object of class `met` (see `met-class`), in which case the `u` and `v` components of that object are used for the components of wind speed, and `y` here is ignored.
`y` | The y component of wind speed (or stress).
`dtheta` | The angle increment (in degrees) within which to classify the data.
`debug` | A flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.

### Value

An object of `windrose-class` that contains the standard `oce` slots named `data`, `metadata` and `proxessingLog`. The `data` slot contains

`n`

  the number of x values

`x.mean`

  the mean of the x values

`y.mean`

  the mean of the y values

`theta`

  the central angle (in degrees) for the class

`count`

  the number of observations in this class

`mean`

  the mean of the observations in this class

`fivenum`

  the `fivenum` vector for observations in this class (the min, the lower hinge, the median, the upper hinge, and the max)

### Author(s)

Dan Kelley, with considerable help from Alex Deckmyn.

### See Also

Other things related to `windrose` data: `[[,windrose-method`, `[[<-,windrose-method`, `plot,windrose-method`, `summary,windrose-method`, `windrose-class`

### Examples

    library(oce)
    xcomp <- rnorm(360) + 1
    ycomp <- rnorm(360)
    wr <- as.windrose(xcomp, ycomp)
    summary(wr)
    plot(wr)

[Package oce version 0.9-22 Index]